%define     _class      HTTP
%define     _subclass   OAuth
%define     upstream_name   %{_class}_%{_subclass}

Name:       php-pear-%{upstream_name}
Version:    0.3.2
Release:    %mkrel 4
Summary:    PEAR implementation of the OAuth 1.0a specification
License:    LGPL
Group:      Development/PHP
URL:        https://pear.php.net/package/%{upstream_name}
Source0:    https://pear.php.net/get/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:   php-pear
BuildArch:  noarch
BuildRequires:  php-pear

%description
PEAR implementation of the OAuth 1.0a specification

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.3.2-4.mga9
+ Revision: 1819120
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.3.2-3.mga8
+ Revision: 1507285
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.3.2-2.mga7
+ Revision: 1287763
- Mageia 7 Mass Rebuild

* Tue Dec 19 2017 mokraemer <mokraemer> 0.3.2-1.mga7
+ Revision: 1183334
- new version

* Wed Feb 17 2016 umeabot <umeabot> 0.3.1-4.mga6
+ Revision: 964606
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-3.mga5
+ Revision: 749688
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-2.mga5
+ Revision: 687294
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 spuhler <spuhler> 0.3.1-1.mga5
+ Revision: 643994
- upgrade to ver. 0.3.1

* Fri Oct 18 2013 umeabot <umeabot> 0.2.3-3.mga4
+ Revision: 516813
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.3-2.mga3
+ Revision: 376326
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 neoclust <neoclust> 0.2.3-1.mga3
+ Revision: 308344
- imported package php-pear-HTTP_OAuth

